<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/release_area_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  release_area_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in release_area_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: release_area_: 02/06/84  release_area_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: cleans up an area after it is no longer needed.
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>Syntax:
<span id="L14" class="LineNr">14 </span>declare release_area_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L15" class="LineNr">15 </span>call release_area_ <span class="textRainbow_lv0_p0">(</span>area_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Arguments:
<span id="L19" class="LineNr">19 </span>area_ptr
<span id="L20" class="LineNr">20 </span>   points to the area to be released.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>  area_ptr is
<span id="L21" class="LineNr">21 </span>   set to null after copying it to a local variable.
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Notes: If the area is a segment acquired via the define_area_
<span id="L25" class="LineNr">25 </span>subroutine, the segment is released to the free pool via the temporary
<span id="L26" class="LineNr">26 </span>segment manager.  If the area was not acquired <span class="textRainbow_lv0_p0">(</span>only initialized<span class="textRainbow_lv0_p0">)</span> via
<span id="L27" class="LineNr">27 </span>the define_area_ subroutine then the area itself is reinitialized to
<span id="L28" class="LineNr">28 </span>the empty state.  In certain cases when the area is defined by the
<span id="L29" class="LineNr">29 </span>system or when the area is extended in ring 0, the temporary segment
<span id="L30" class="LineNr">30 </span>manager is not used and the area segments are actually created and
<span id="L31" class="LineNr">31 </span>deleted.  Segments acquired to extend the area are released to the
<span id="L32" class="LineNr">32 </span>free pool of temporary segments or deleted if they are not obtained
<span id="L33" class="LineNr">33 </span>from the temporary segment manager.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
